%global __requires_exclude perl\\((extra|file|in)\\)

Summary:	Package maintenance system for Debian Linux
Name:		dpkg
Version:	1.18.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Archiving/Other
Url:		http://packages.debian.org/unstable/base/dpkg.html
Source0:	ftp://ftp.debian.org/debian/pool/main/d/dpkg/%{name}_%{version}.tar.xz
Source1:	%{name}-pl-man-pages.tar.bz2
Source2:	debsign.sh
Source3:	debsign.1
BuildRequires:	gettext-devel
BuildRequires:	zlib-devel
BuildRequires:	po4a

%description
This package contains the programs dpkg which used to handle the installation
and removal of packages on a Debian system.



%prep
%setup -q

%build
%configure2_5x \
    --disable-dselect \
    --with-admindir=%{_localstatedir}/lib/%{name}

%make

%install
rm -rf %buildroot
%makeinstall_std

install -m 755 %{SOURCE2} %{buildroot}/%{_bindir}/debsign
install -m 644 %{SOURCE3} %{buildroot}/%{_mandir}/man1
bzip2 -dc %{SOURCE1} | tar xf - -C %{buildroot}%{_mandir}

# cleanup
rm -fr %{buildroot}%{_datadir}/locale/en/
rm -fr %{buildroot}%{_sysconfdir}/alternatives
rm -f %{buildroot}%{_bindir}/update-alternatives
rm -f %{buildroot}%{_sbindir}/update-alternatives
rm -fr %{buildroot}/usr/share/doc
find %{buildroot} -name "md5sum*" -exec rm -f {} \;
find %{buildroot}%{_mandir} -name "update-alternatives*" -exec rm -f {} \;

# see http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo
rm -f %{buildroot}%{_sbindir}/install-info

%find_lang %name --with-man --all-name

%files -f dpkg.lang
%attr(0755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/parsechangelog/debian
%{_libdir}/lib%{name}.la
%attr(0755,root,root) %{_sbindir}/*
%dir %{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_datadir}/%{name}/cputable
%{_datadir}/%{name}/ostable
%{_datadir}/%{name}/*.mk
%{_datadir}/dpkg/triplettable
%{_datadir}/dpkg/abitable
%{_localstatedir}/lib/%{name}/*
%dir %{_sysconfdir}/%{name}
%{_mandir}/man?/*
%{_includedir}/dpkg/*
%{_libdir}/libdpkg.a
%{_libdir}/pkgconfig/libdpkg.pc

%{perl_vendorlib}/Dpkg
%{perl_vendorlib}/Dpkg.pm

%{_datadir}/man/hu/man5/dpkg.cfg.5.bz2

%changelog
* Tue Jan 05 2016 bb <bb> 1.18.4-1pclos2016
- update

* Thu Dec 04 2014 bb <bb> 1.17.21-1pclos2014
- update

* Mon Jan 14 2008 Slick50 <linuxgator.org> 1.13.11-2pclos2007
- Inital build for PClinuxOS
